Skip to main content
`Ctrl`+`K`

# TSGLLEAdapt

Abstract object that manages time-step adaptivity for `TSGLLE`

## Synopsis

    #include <petscts.h>
    typedef struct _p_TSGLLEAdapt *TSGLLEAdapt;

## Developer Note

This functionality should be replaced by the `TSAdapt`.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGLLE`, `TSGLLEAdaptCreate()`, `TSGLLEAdaptType`

## Level

beginner

## Location

include/petscts.h

## Implementations

_p_TSGLLEAdapt in src/ts/impls/implicit/glle/glleadapt.c
TSGLLEAdapt_None in src/ts/impls/implicit/glle/glleadapt.c
TSGLLEAdapt_Size in src/ts/impls/implicit/glle/glleadapt.c
TSGLLEAdapt_Both in src/ts/impls/implicit/glle/glleadapt.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages